﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;
using System.Xml;
using System.Xml.Serialization;

namespace PhoneBook.Classes
{

    class ManageController
    {
        List<Person> people = new List<Person>();
        FormPhoneBook form;
       
        public ManageController(FormPhoneBook form)
        {
            this.form = form;
            SubscribeForm(form);
        }

        public void SubscribeForm(FormPhoneBook form)
        {

            form.AddClicked += form_AddClicked;
            form.DeleteClicked += form_DeleteClicked;
            form.UpdateClicked += form_UpdateClicked;
        }

        void form_AddClicked(object sender, AddPersonEventArgs e)
        {

            Person p = new Person();
            p.Name = e.Name;
            p.Phone = e.Phone;
            p.Address = e.Address;
            p.Email = e.Email;
            p.Birthday = e.Birthday;
            this.people.Add(p);
            form.UpdateView(people);
        }

        void form_DeleteClicked(object sender, DeletePersonEventArgs e)
        {
            
        }

        void form_UpdateClicked(object sender, UpdatePersonEventArgs e)
        {
            
        }
    }
}
