﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using PhoneBook.Classes;

namespace PhoneBook
{

    internal partial class NewItemForm : Form
    {

        public string ItemID = string.Empty;
        bool NewItem = false;

        public NewItemForm(bool newItem)
        {
            InitializeComponent();
            this.NewItem = newItem;
            this.labelRegDate.Text = DateTime.Now.ToString();
            this.Text = NewItem ? "Add New Item" : "Edit Item";

            this.AcceptButton = buttonNewItemSubmit;
            this.DialogResult = DialogResult.OK;
        }

  
        # region Properties
        public string ItemName
        {
            get
            {
                return textBoxNewItemName.Text;
            }
        }

        public string ItemPhone
        {
            get
            {
                return textBoxNewItemPhone.Text;
            }
        }

        public string ItemAddress
        {
            get
            {
                return textBoxNewItemAddress.Text;
            }
        }


        public string ItemEmail
        {
            get
            {
                return textBoxNewItemEmail.Text;
            }
        }

        public DateTime ItemBirthday
        {
            get
            {
                return dateTimePickerNewItemBirthday.Value;
            }
        }
        #endregion
    }
}